import { prefixSuffixService } from "@/user-management/services/api/prefixSuffixService";
import { useQuery } from "@tanstack/react-query";

export interface RemarkParams{
skip:number,
take:number,
orderBy?:string;
}


export const useRemarkByUnitId = (unitId: string, params:RemarkParams) => {
  return useQuery({
    queryKey: ["remark", unitId,params],
    queryFn: async () => {
      const response = await prefixSuffixService.getRemarkList(unitId,params);
      return response.data ;
    },
  });
};
